2011-09-15 23:43:21 +02:00
|
|
|
Index: xen-4.1.2-testing/tools/hotplug/Linux/init.d/xencommons
|
2011-05-10 18:44:09 +02:00
|
|
|
===================================================================
|
2011-09-15 23:43:21 +02:00
|
|
|
--- xen-4.1.2-testing.orig/tools/hotplug/Linux/init.d/xencommons
|
|
|
|
+++ xen-4.1.2-testing/tools/hotplug/Linux/init.d/xencommons
|
2011-11-28 20:34:40 +01:00
|
|
|
@@ -57,6 +57,20 @@ do_start () {
|
2011-05-10 18:44:09 +02:00
|
|
|
local time=0
|
|
|
|
local timeout=30
|
|
|
|
|
|
|
|
+ # Load XEN backend modules
|
|
|
|
+ # NB: They could be loaded later, e.g. when dom0 hotplug events occur,
|
|
|
|
+ # but for now it's safest to have them loaded here.
|
|
|
|
+ modprobe evtchn 2>/dev/null || true
|
|
|
|
+ modprobe gntdev 2>/dev/null || true
|
|
|
|
+ modprobe blktap 2>/dev/null || true
|
|
|
|
+ modprobe blkbk 2>/dev/null || true
|
|
|
|
+ modprobe netbk 2>/dev/null || true
|
|
|
|
+ modprobe usbbk 2>/dev/null || true
|
|
|
|
+ # xenblk (frontend module) is needed in dom0, allowing it to use vbds
|
|
|
|
+ modprobe xenblk 2>/dev/null || true
|
2011-11-28 20:34:40 +01:00
|
|
|
+ # support xl create pv guest with qcow/qcow2 disk image
|
|
|
|
+ modprobe nbd max_part=8 2>/dev/null || true
|
2011-05-10 18:44:09 +02:00
|
|
|
+
|
|
|
|
if ! `xenstore-read -s / >/dev/null 2>&1`
|
|
|
|
then
|
2012-01-23 22:46:39 +01:00
|
|
|
test -z "$XENSTORED_ROOTDIR" && XENSTORED_ROOTDIR="/var/lib/xenstored"
|